package com.idiot.operationbackend.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.List;

/**
 * 公众号推送
 * @author wang xiao
 * @date Created in 16:45 2020/9/18
 */
@TableName("t_account_push")
public class AccountPush {

    @TableId
    private String id;

    @TableField(exist = false)
    private String accountId;

    private String nikeName;

    private String headImage;

    private Integer pushType;

    private String pushTimer;

    private String quiet;

    private Integer trigger;

    private Integer pushLimit;

    private Boolean enable;

    private String materialIds;

    private String articlesIds;

    private String createTime;

    @TableField(exist = false)
    private List<Object> contents;

    @TableField(exist = false)
    private boolean setUp;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAccountId() {
        return accountId;
    }

    public String getNikeName() {
        return nikeName;
    }

    public void setNikeName(String nikeName) {
        this.nikeName = nikeName;
    }

    public String getHeadImage() {
        return headImage;
    }

    public void setHeadImage(String headImage) {
        this.headImage = headImage;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public Integer getPushType() {
        return pushType;
    }

    public void setPushType(Integer pushType) {
        this.pushType = pushType;
    }

    public String getPushTimer() {
        return pushTimer;
    }

    public void setPushTimer(String pushTimer) {
        this.pushTimer = pushTimer;
    }

    public String getQuiet() {
        return quiet;
    }

    public void setQuiet(String quiet) {
        this.quiet = quiet;
    }

    public Integer getTrigger() {
        return trigger;
    }

    public void setTrigger(Integer trigger) {
        this.trigger = trigger;
    }

    public Integer getPushLimit() {
        return pushLimit;
    }

    public void setPushLimit(Integer pushLimit) {
        this.pushLimit = pushLimit;
    }

    public String getMaterialIds() {
        return materialIds;
    }

    public void setMaterialIds(String materialIds) {
        this.materialIds = materialIds;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getArticlesIds() {
        return articlesIds;
    }

    public void setArticlesIds(String articlesIds) {
        this.articlesIds = articlesIds;
    }

    public List<Object> getContents() {
        return contents;
    }

    public void setContents(List<Object> contents) {
        this.contents = contents;
    }

    public boolean isSetUp() {
        return setUp;
    }

    public void setSetUp(boolean setUp) {
        this.setUp = setUp;
    }
}
