package com.idiot.operationbackend.handler;

import com.idiot.operationbackend.service.facade.WeChatService;

import java.util.List;

/**
 * @author wang xiao
 * @date Created in 18:41 2020/9/14
 */
public class SyncUserTask {

    private String accountId;

    private  List<String> openIds;

    private WeChatService weChatService;



    /**
     * 卸载这里原因是 jdk 代理 异步方法不生效
     */
    public void  doSyncUserTask () {
        weChatService.syncUserTask(accountId,openIds);
    }

    public SyncUserTask(String accountId, List<String> openIds, WeChatService weChatService) {
        this.accountId = accountId;
        this.openIds = openIds;
        this.weChatService = weChatService;
    }
}
