package com.idiot.operationbackend.service.facade;

import com.baomidou.mybatisplus.extension.service.IService;
import com.idiot.operationbackend.entity.AccountPush;

import java.util.List;

/**
 * @author wang xiao
 * @date Created in 17:21 2020/9/18
 */
public interface AccountPushService extends IService<AccountPush> {

    /**
     *  查询公告号推送
     * @author wangxiao
     * @date 17:31 2020/9/18
     * @param accountIds
     * @return java.util.List<com.idiot.operationbackend.entity.AccountPush>
     */
    List<AccountPush> queryAccountPush(List<String> accountIds);


}
