package com.idiot.operationbackend.support;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * @author wang xiao
 * @date Created in 18:08 2020/9/10
 */
public enum AccountState {

    /**
     *  公众号认证成功
     * @author wangxiao
     * @date 18:10 2020/9/10
     */
    SUCCESS(0,"认证成功"),

    /**
     *  公众号认证成功
     * @author wangxiao
     * @date 18:10 2020/9/10
     */
    FAIL(-1,"认证失败");


    @EnumValue
    private final int value;

    @JsonValue
    private final String label;

    AccountState(int value, String label) {
        this.value = value;
        this.label = label;
    }


}
